Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1959168

Summary: [armv7hl] Firefox 88.0.1 fails to build on Fedora due to 'out of memory' on Fedora 35
Product: [Fedora] Fedora Reporter: Martin Stransky <stransky>
Component: firefoxAssignee: Gecko Maintainer <gecko-bugs-nobody>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 35CC: erack, gecko-bugs-nobody, jhorak, kai-engert-fedora, klaas, pjasicek, rhughes, rstrode, sandmann
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-12-13 15:22:42 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 245418    

Description Martin Stransky 2021-05-10 19:55:26 UTC
Description of problem:

Fedora 35 fails to build

116:05.50 dom/media/mediasink
116:17.16 LLVM ERROR: out of memory
116:17.16 Allocation failed
116:20.27 error: could not compile `gkrust`
116:20.28 Caused by:
116:20.28   process didn't exit successfully: `/usr/bin/rustc --crate-name gkrust toolkit/library/rust/lib.rs --error-format=json --json=diagnostic-rendered-ansi --crate-type staticlib --emit=dep-info,link -C opt-level=2 -C panic=abort -C embed-bitcode=no -Clto --cfg 'feature="cubeb-remoting"' --cfg 'feature="cubeb_pulse_rust"' --cfg 'feature="gecko_profiler"' --cfg 'feature="gecko_profiler_parse_elf"' --cfg 'feature="glean_with_gecko"' --cfg 'feature="moz_places"' --cfg 'feature="quantum_render"' --cfg 'feature="remote_agent"' --cfg 'feature="webgpu"' --cfg 'feature="webrtc"' --cfg 'feature="with_dbus"' -C metadata=0f30ab1c1d8c04b6 -C extra-filename=-0f30ab1c1d8c04b6 --out-dir /builddir/build/BUILD/firefox-88.0.1/objdir/armv7-unknown-linux-gnueabihf/release/deps --target armv7-unknown-linux-gnueabihf -C linker=/builddir/build/BUILD/firefox-88.0.1/build/cargo-linker -L dependency=/builddir/build/BUILD/firefox-88.0.1/objdir/armv7-unknown-linux-gnueabihf/release/deps -L dependency=/builddir/build/BUILD/firefox-88.0.1/objdir/release/deps --extern gkrust_shared=/builddir/build/BUILD/firefox-88.0.1/objdir/armv7-unknown-linux-gnueabihf/release/deps/libgkrust_shared-45a044b411770228.rlib --extern mozglue_static=/builddir/build/BUILD/firefox-88.0.1/objdir/armv7-unknown-linux-gnueabihf/release/deps/libmozglue_static-61cbf1bf62c96e48.rlib --extern mozilla_central_workspace_hack=/builddir/build/BUILD/firefox-88.0.1/objdir/armv7-unknown-linux-gnueabihf/release/deps/libmozilla_central_workspace_hack-f0df0f37b141bcdf.rlib --extern swgl=/builddir/build/BUILD/firefox-88.0.1/objdir/armv7-unknown-linux-gnueabihf/release/deps/libswgl-285cdc5c0b392d12.rlib -C opt-level=2 -C debuginfo=2 --cap-lints warn -Cdebuginfo=0 -Cembed-bitcode=yes -C codegen-units=1 -L native=/usr/lib -L native=/builddir/build/BUILD/firefox-88.0.1/objdir/armv7-unknown-linux-gnueabihf/release/build/audioipc-e55e30cf5f3bb886/out -L native=/builddir/build/BUILD/firefox-88.0.1/objdir/armv7-unknown-linux-gnueabihf/release/build/lmdb-rkv-sys-718e726646ecef92/out -L native=/builddir/build/BUILD/firefox-88.0.1/objdir/armv7-unknown-linux-gnueabihf/release/build/mozglue-static-d28a9e81184b2a1e/out -L native=/builddir/build/BUILD/firefox-88.0.1/objdir/dist/bin -L native=/builddir/build/BUILD/firefox-88.0.1/objdir/security/nss/lib/nss/nss_nss3 -L native=/builddir/build/BUILD/firefox-88.0.1/objdir/security/nss/lib/ssl/ssl_ssl3 -L native=/builddir/build/BUILD/firefox-88.0.1/objdir/config/external/nspr/pr -L native=/builddir/build/BUILD/firefox-88.0.1/objdir/armv7-unknown-linux-gnueabihf/release/build/swgl-210afc41acd47919/out` (signal: 6, SIGABRT: process abort signal)
116:20.58 gmake[4]: *** [/builddir/build/BUILD/firefox-88.0.1/config/makefiles/rust.mk:356: force-cargo-library-build] Error 101
116:20.58 gmake[3]: *** [/builddir/build/BUILD/firefox-88.0.1/config/recurse.mk:72: toolkit/library/rust/target] Error 2
116:20.58 gmake[3]: *** Waiting for unfinished jobs....
116:32.86 gmake[2]: *** [/builddir/build/BUILD/firefox-88.0.1/config/recurse.mk:34: compile] Error 2
116:32.86 gmake[1]: *** [/builddir/build/BUILD/firefox-88.0.1/config/rules.mk:355: default] Error 2
116:32.87 gmake: *** [client.mk:65: build] Error 2
116:32.89 403 compiler warnings present.
116:33.56 /usr/bin/notify-send --app-name=Mozilla Build System Mozilla Build System Build failed
 Config object not found by mach.

Build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=67613908

Comment 1 Ben Cotton 2021-08-10 13:01:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 2 Ben Cotton 2022-11-29 16:56:49 UTC
This message is a reminder that Fedora Linux 35 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 35 on 2022-12-13.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '35'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 35 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 3 Ben Cotton 2022-12-13 15:22:42 UTC
Fedora Linux 35 entered end-of-life (EOL) status on 2022-12-13.

Fedora Linux 35 is no longer maintained, which means that it
will not receive any further security or bug fix updates. As a result we
are closing this bug.

If you can reproduce this bug against a currently maintained version of Fedora Linux
please feel free to reopen this bug against that version. Note that the version
field may be hidden. Click the "Show advanced fields" button if you do not see
the version field.

If you are unable to reopen this bug, please file a new report against an
active release.

Thank you for reporting this bug and we are sorry it could not be fixed.